Package org.eclipse.microprofile.rest.client.tck.providers

# Class ReturnWithSpecifiedHeaderFilter

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.ReturnWithSpecifiedHeaderFilter

All Implemented Interfaces:
  `jakarta.ws.rs.client.ClientRequestFilter`

public class ReturnWithSpecifiedHeaderFilter extends Object implements jakarta.ws.rs.client.ClientRequestFilter

## Constructor Summary

Constructors
Constructor
Description
`ReturnWithSpecifiedHeaderFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReturnWithSpecifiedHeaderFilter

public ReturnWithSpecifiedHeaderFilter()

## Method Details

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`